Bug 125509 - Dates in /var/log/yum.log do not match locale
Dates in /var/log/yum.log do not match locale
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
i586 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Johnson
Depends On:
  Show dependency treegraph
Reported: 2004-06-08 07:30 EDT by Sitsofe Wheeler
Modified: 2014-01-21 17:49 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-06-09 21:42:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sitsofe Wheeler 2004-06-08 07:30:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:1.6)
Gecko/20040518 Firefox/0.8

Description of problem:
The dates in /var/log/yum.log are in dd/dd/dddd (where d is a digit)
format. Unfortunately yum does not appear to have localised this date
and consequently the dates look a little strange for a machine in the UK.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. less /var/log/yum.log

Actual Results:  ...
06/04/04 04:12:59 Updated: cups 1:1.1.20-11.1.i386
06/05/04 04:58:16 Updated: krb5-libs 1.3.3-7.i386
06/08/04 10:02:08 Updated: jpackage-utils 1.5.38-1jpp.noarch

(the middle "month" digits are changing too fast)

Expected Results:
Jun  4 04:12:59 Updated: cups 1:1.1.20-11.1.i386
Jun  5 04:58:16 Updated: krb5-libs 1.3.3-7.i386
Jun  8 10:02:08 Updated: jpackage-utils 1.5.38-1jpp.noarch

Although lacking the year, this format is typical of other log files
and is unambiguous so you do not need to match the locale etc.
Comment 1 Jeff Johnson 2004-06-09 21:42:11 EDT
This is reportedly fixed in yum CVS, will be rolled into
the Red Hat package on next release.

Note You need to log in before you can comment on or make changes to this bug.